# List all wire transfers

**GET** `/transfers/wire`

Retrieve all wire transfers under your platform.

### Query Parameters

- `bank_account_id` `string` — Filter wire transfers by bank account ID.
- `counterparty_id` `string` — Filter wire transfers by counterparty ID.
- `created.gt` `date-time` — Return results where the `created_at` field is greater than this value.
- `created.gte` `date-time` — Return results where the `created_at` field is greater than or equal to this value.
- `created.lt` `date-time` — Return results where the `created_at` field is less than this value.
- `created.lte` `date-time` — Return results where the `created_at` field is less than or equal to this value.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `is_incoming` `boolean` — Filter for incoming wire transfers only.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.
- `status` `string` — Filter wire transfers by status.

**Request**

```shell
curl 'https://api.column.com/transfers/wire' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "transfers": [
    {
      "id": "",
      "created_at": "2021-11-29T20:43:16.326Z",
      "updated_at": "2021-11-29T20:43:16.326Z",
      "initiated_at": "2021-11-29T20:43:16.326Z",
      "pending_submission_at": "2021-11-29T20:43:16.326Z",
      "submitted_at": "2021-11-29T20:43:16.326Z",
      "completed_at": "2021-11-29T20:43:16.326Z",
      "rejected_at": "2021-11-29T20:43:16.326Z",
      "idempotency_key": "",
      "bank_account_id": "",
      "account_number_id": "",
      "counterparty_id": "",
      "amount": 0,
      "currency_code": "",
      "description": "",
      "status": "NONE",
      "allow_overdraft": true,
      "platform_id": "",
      "is_on_us": true,
      "is_incoming": true,
      "wire_drawdown_request_id": ""
    }
  ],
  "has_more": true
}
```
